@orbit
Feature: Segmented Upload Command
  In order to upload streams in chunks
  As a command line user
  I want a tool that can do segmented uploads

  Background:
    Given a directory named "/tmp/uricp"
    And the default aruba timeout is 15 seconds
    And a container called "temp_dlo"

  Scenario: Direct curl for smaller file
    Given a 102400 byte file named "/tmp/uricp/srv-testy"
    When I upload "img-testy" with segment size "100kib" into container "temp_dlo" from "/tmp/uricp/srv-testy"
    Then a 102400 byte entry should exist in container "temp_dlo" called "img-testy"

  Scenario: Create DLO with segmented file
    Given a 102400 byte file named "/tmp/uricp/srv-testy"
    When I upload "img-check" with segment size "10kib" into container "temp_dlo" from "/tmp/uricp/srv-testy"
    Then a 102400 byte entry should exist in container "temp_dlo" called "img-check"
    And the container "temp_dlo" should contain 11 entries

  Scenario: Create DLO from stream
    Given a 102400 byte file named "/tmp/uricp/srv-testb"
    When I upload "img-testb" with segment size "10kib" into container "temp_dlo" from "/tmp/uricp/srv-testb" as a stream
    Then a 102400 byte entry should exist in container "temp_dlo" called "img-testb"
    And the container "temp_dlo" should contain 11 entries

  Scenario: Create DLO with bad token and fail
    Given a 102400 byte file named "/tmp/uricp/srv-testc"
    When I upload "img-testc" with segment size "10kib" into container "temp_dlo" from "/tmp/uricp/srv-testc" with token "abcdef"
    Then the exit status should not be 0
    And the stderr should contain "failed"
