Then(/^the file named "(.*?)" should have a file format of "(.*?)"$/) do |filename, format|
  case format
  when 'lz4'
    assert_exact_output(
      [0x184D2204].pack('V'),
      File.open(filename, 'rb') { |f| f.read(4) } || String.new
    )
  when 'qcow2v3', 'qcow3'
    steps %{
      When I successfully run `qemu-img info #{filename}`
      Then the output from "qemu-img info #{filename}" should contain "file format: qcow2"
      And the output from "qemu-img info #{filename}" should contain "compat: 1.1"
    }
  else
    assert_no_partial_output(
      [0x184D2204].pack('V'),
      File.open(filename, 'rb') { |f| f.read(4) } || String.new
    )
    steps(%{
      When I successfully run `qemu-img info #{filename}`
      Then the output from "qemu-img info #{filename}" should contain "file format: #{format}"
      And the output from "qemu-img info #{filename}" should not contain "compat: 1.1"
    })
  end
end

Given(/^a correctly initialised cache at "(.*?)"$/) do |basedir|
  steps %{
    Given a directory named "#{basedir}/cache"
    And a directory named "#{basedir}/temp"
  }
end

Given(/^an empty directory named "([^"]*)"$/) do |dir_name|
  create_dir(dir_name)
  FileUtils.rm_rf(File.join(dir_name, '.'), :secure => true)
end

