@orbit
@orbitdownloads
Feature: User authenticated download of images from orbit
  In order to download images from orbit
  As a command line user
  I want to retrieve the URI via an optional cache and copy correctly to target in the right format using a user id directly

  Background: 
    Given an empty directory named "/tmp/uricp"
    And the default aruba timeout is 15 seconds
    And a container called "test"

  @new-qemu-image
  Scenario: qcow2v3 download no conversion, no cache with userid
    When I retrieve "img-qcow2" from container "test" into "file:///tmp/uricp/srv-test1" with a userid
    Then a file named "/tmp/uricp/srv-test1" should exist
    And the file named "/tmp/uricp/srv-test1" should have a file format of "qcow2v3"

  @old-qemu-image
  Scenario: qcow2 download no conversion, no cache with userid
    When I retrieve "img-qcow2" from container "test" into "file:///tmp/uricp/srv-test1" with a userid
    Then a file named "/tmp/uricp/srv-test1" should exist
    And the file named "/tmp/uricp/srv-test1" should have a file format of "qcow2"

  Scenario: direct upload with userid
    Given a 102400 byte file named "/tmp/uricp/srv-testy"
    When I store "img-usrid" into container "test" from "file:///tmp/uricp/srv-testy" with a userid
    Then a 102400 byte entry should exist in container "test" called "img-usrid"
